[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <200904291745.n3THjPhO019531@ns3.rdu.redhat.com>
Date: Wed, 29 Apr 2009 13:45:25 -0400
From: Jason Baron <jbaron@...hat.com>
To: linux-kernel@...r.kernel.org
Cc: akpm@...ux-foundation.org, mingo@...e.hu, rostedt@...dmis.org,
fweisbec@...il.com, mathieu.desnoyers@...ymtl.ca,
randy.dunlap@...cle.com, wcohen@...hat.com
Subject: [PATCH 1/3] make kernel-doc understand TRACE_EVENT() macro
Add support to kernel-doc for tracepoint comments above TRACE_EVENT()
macro definitions. Paves the way for tracepoint docbook.
Signed-off-by: Jason Baron <jbaron@...hat.com>
---
scripts/kernel-doc | 21 +++++++++++++++++++++
1 files changed, 21 insertions(+), 0 deletions(-)
diff --git a/scripts/kernel-doc b/scripts/kernel-doc
index 0f11870..9d9ab4b 100755
--- a/scripts/kernel-doc
+++ b/scripts/kernel-doc
@@ -1827,6 +1827,24 @@ sub reset_state {
$state = 0;
}
+sub tracepoint_munge() {
+ my $tracepointname = 0;
+ my $tracepointargs = 0;
+
+ if($prototype =~ m/TRACE_EVENT\((.*?),/) {
+ $tracepointname = $1;
+ }
+ if($prototype =~ m/TP_PROTO\((.*?)\)/) {
+ $tracepointargs = $1;
+ }
+ if (($tracepointname eq 0) || ($tracepointargs eq 0)) {
+ print STDERR "Warning: Unrecognized tracepoint format: \n" .
+ "$prototype\n"
+ } else {
+ $prototype = "static inline void trace_$tracepointname($tracepointargs)";
+ }
+}
+
sub syscall_munge() {
my $void = 0;
@@ -1881,6 +1899,9 @@ sub process_state3_function($$) {
if ($prototype =~ /SYSCALL_DEFINE/) {
syscall_munge();
}
+ if ($prototype =~ /TRACE_EVENT/) {
+ tracepoint_munge();
+ }
dump_function($prototype, $file);
reset_state();
}
--
1.5.4.5
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists